org.jbpm.services.task.commands

## Class DeleteCommentCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Void>
  - - org.jbpm.services.task.commands.DeleteCommentCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Void>, org.kie.api.command.Command<Void>

      public class DeleteCommentCommand
      extends TaskCommand<Void>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteCommentCommand()`
    `DeleteCommentCommand(long taskId, Long commentId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context cntxt)`
    `Long` | `getCommentId()`
    `void` | `setCommentId(Long contentId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### DeleteCommentCommand

          public DeleteCommentCommand()

    - #### DeleteCommentCommand

          public DeleteCommentCommand(long taskId,
                                      Long commentId)

  - ### Method Detail

    - #### getCommentId

          public Long getCommentId()

    - #### setCommentId

          public void setCommentId(Long contentId)

    - #### execute

          public Void execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.